/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.movingimage;

import android.content.Context;
import android.util.AttributeSet;
import javax.annotation.Nonnull;
import it.tidalwave.bluebill.mobile.android.taxonomy.factsheet.AndroidTaxonFactSheetViewSupport;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.movingimage.DefaultTaxonMovingImageFactSheetViewController;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.movingimage.TaxonMovingImageFactSheetView;

/***********************************************************************************************************************
 *
 * @stereotype View
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class AndroidTaxonMovingImageFactSheetView extends AndroidTaxonFactSheetViewSupport<DefaultTaxonMovingImageFactSheetViewController>
                                                  implements TaxonMovingImageFactSheetView
  {
    public AndroidTaxonMovingImageFactSheetView (final @Nonnull Context context, final @Nonnull AttributeSet attrs) 
      {
        super(context, attrs);
      }

    public AndroidTaxonMovingImageFactSheetView (final @Nonnull Context context) 
      {
        super(context);
      }

//    @Override
//    public void onCreate (final @Nonnull Bundle savedInstanceState)
//      {
//        super.onCreate(savedInstanceState);
//
//        if (lvList != null) // FIXME: temporary until there are mock fact sheets
//          {
//            lvList.setOnItemClickListener(new AdapterView.OnItemClickListener() // TODO: pull up
//              {
//                public void onItemClick (final @Nonnull AdapterView<?> av,
//                                         final @Nonnull View view,
//                                         final int index,
//                                         final long id)
//                  {
//                    final PresentationModel presentationModel = controller.getPresentationModel(index);
//                    final GenericEntity temp = new GenericEntity(presentationModel.as(Identifiable.class));
//                    controller.openWebPage(temp);
//    //                final Media media = controller.getMedia(index);
//    //                controller.getDefaultAction(media).run(controller, media);
//                  }
//              });
//          }
//      }
//
    @Override @Nonnull
    protected DefaultTaxonMovingImageFactSheetViewController createController()
      {
        return new AndroidTaxonMovingImageFactSheetViewController(this);
      }
  }
